What does exception 'operation succeeded succesfully mean?

I received this exception.

What does it mean? How can it be avoided?

Exception: The operation completed successfully [Source:RemObjects.SDK]
at RemObjects.SDK.SslConnection.NativeDataSocketSendAsMuchAsPossible(Byte[] buffer, Int32 offset, Int32 size)
at RemObjects.SDK.SslConnection.DataSocketSendAsMuchAsPossible(Byte[] buffer, Int32 offset, Int32 size)
at RemObjects.SDK.Connection.DataSocketSend(Byte[] buffer, Int32 offset, Int32 size)
at RemObjects.SDK.Http.HttpOutgoingRequestResponse.WriteBodyToConnection(Connection connection)
at RemObjects.SDK.Http.HttpClient.TryDispatch(HttpClientRequest request)
at RemObjects.SDK.IpHttpClientChannel.IntDispatch(Stream request, IMessage response)
at RemObjects.SDK.ClientChannel.Dispatch(IMessage message)
at OffCloudServer.SyncServerService_Proxy.getBiggestKeyValue(String& jsonSyncResponse, String& maxcachedkeyvalue, String& keyvaluetype, String& errormsg) in E:\p4\main\Source.NET\base\OffCloudServerClient\RemoteServer_Intf.cs:line 3083
at SyncPush.SyncPushJob.doNewOnlySync(CloudServerClient syncserveritf, OffDBConnection localdbcon, SyncMasterConfigDBProfile dbprofile, SyncMasterConfigDBTarget dbtarget, String& errormsg) in E:\p4\main\Source.NET\Cloud\src\SyncPush\SyncPush.cs:line 827
at SyncPush.SyncPushJob.doSyncJob() in E:\p4\main\Source.NET\Cloud\src\SyncPush\SyncPush.cs:line 273

Hi,

according to code:

		private void NativeDataSocketSendAsMuchAsPossible(Byte[] buffer, Int32 offset, Int32 size)
		{
			this.StartTimeoutTimer();
			try
			{
				this._sslStream.Write(buffer, offset, size);
			}
			catch (IOException)
			{
				throw new SocketException();
			}
			catch (Exception)
			{
				// Due to a bug in the Mono Ssl code (namely in the MobileAuthenticatedStream methods)
				// it can raise AggregateException
				// Unfortunately we cannot here properly catch AggregateException here, so we have to catch everything
				// and to re-raise a more expected exception
				throw new SocketException();
			}
			finally
			{
				this.StopTimeoutTimer();
			}
		}

only SocketException can be raised.

according to documentation:

I think, the last error code was 0 so it treats it as The operation completed successfully.